Bug 91469 - Improvement: make the links in help -> about libre office to https instead of http
Summary: Improvement: make the links in help -> about libre office to https instead of...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All All
: low trivial
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-22 11:50 UTC by szl25497
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description szl25497 2015-05-22 11:50:32 UTC
The links at the two buttons (one of them sends you to main homepage) seem to be http instead of https. Please make them https instead of http. All of your server support https. Please use that. Its better for all libreoffice user.
Comment 1 Adolfo Jayme 2015-05-22 16:26:22 UTC
Thank you for your bug report.
Comment 2 Adolfo Jayme 2015-05-22 17:35:28 UTC
@Julien: can you tackle this one? =)
Comment 3 Commit Notification 2015-05-23 14:05:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffa560e0dec34d71f4593b7bf23ad50321548c60

tdf#91469: convert links in help/about to https

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2015-05-23 14:08:04 UTC
Since it needs translation work so other languages than English work, I don't think we should backport in 4.4 branch.
Let's put this one to FIXED.
Comment 5 Commit Notification 2015-05-25 11:56:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e76702c405784c0fb57fed33a5a1490418c5ca4b&h=libreoffice-5-0

tdf#91469: convert links in help/about to https

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.